## lua-cgi 5.1.1

=== Makefile ===
# $Id: Makefile,v 1.45 2007/11/01 18:47:01 carregal Exp $

# Default prefix
PREFIX = /usr/local

# System's lua directory (where Lua libraries are installed)
LUA_DIR= $(PREFIX)/share/lua/5.1

CGILUA_DIR= $(LUA_DIR)/cgilua
CGILUA_LUAS= src/cgilua/cookies.lua src/cgilua/dispatcher.lua src/cgilua/lp.lua src/cgilua/mime.lua src/cgilua/post.lua src/cgilua/readuntil.lua src/cgilua/serialize.lua src/cgilua/session.lua src/cgilua/urlcode.lua
ROOT_LUAS= src/cgilua/cgilua.lua

install:
	mkdir -p $(CGILUA_DIR)
	cp $(CGILUA_LUAS) $(CGILUA_DIR)
	cp $(ROOT_LUAS) $(LUA_DIR)
clean:

## lua-cgi 5.1.3

=== debian/changelog ===
lua-cgi (5.1.3-3) unstable; urgency=low

  * source format 3.0 (quilt)
  * bumped standards-version to 3.9.2, no changes needed  

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 22 Jul 2011 12:39:55 +0200

lua-cgi (5.1.3-2) unstable; urgency=low

  * build depend on lua5.1-policy-dev >= 22
  * bumped standards-version to 3.8.2, no changes needed 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 18:10:12 +0200

lua-cgi (5.1.3-1) unstable; urgency=low

  * new upstream bugfix release
  * bumped standards-version to 3.8.1, no changes needed

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 24 Mar 2009 23:01:26 +0100

lua-cgi (5.1.2-1) unstable; urgency=low

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 21 May 2008 11:56:00 +0200

lua-cgi (5.1.2~rc1-1) unstable; urgency=low

  * new upstream release candidate
  * added a suggests on liblua5.1-wsapi0
  * added README.Debian to the -dev package (was only in the non -dev)
  * updated standards to 3.7.3
  * removed XS- from VCS-Svn control file field
  * added VCS-Browser field to the control file

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 19 Apr 2008 11:48:14 +0200

lua-cgi (5.1.1-1) unstable; urgency=low

  * New upstream release
  * Added Homepage: control field
  * Fixed XS-Vcs-Svn: control field
  * Added as a patch the current cgi launcher implementation available in
    kepler to allow one to use lua-cgi to build cgis on web servers
    different from xavante (that provides its own launcher). This is a
    temporary solution until the wsapi package is released.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 01 Dec 2007 17:07:13 +0100

lua-cgi (5.1.0-2) unstable; urgency=low

  * added missing dependency among liblua5.1-filesystem0

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 16 Sep 2007 19:13:15 +0100

lua-cgi (5.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #442451)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 27 Aug 2007 17:22:20 +0100

=== debian/control ===
Source: lua-cgi
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), lua5.1-policy-dev (>= 32), quilt (>= 0.40)
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-cgi
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-cgi
Homepage: http://www.keplerproject.org/cgilua/

Package: liblua5.1-cgi0
Architecture: all
Depends: ${shlibs:Depends}, liblua5.1-expat0, liblua5.1-socket2, liblua5.1-filesystem0, ${misc:Depends}
Suggests: liblua5.1-wsapi0
Description: CGI library for the Lua language version 5.1
 CGILua is a tool for creating dynamic Web pages and manipulating input data
 from Web forms. CGILua allows the separation of logic and data handling from
 the generation of pages, making it easy to develop web applications with Lua.

Package: liblua5.1-cgi-dev
Architecture: all
Section: libdevel
Depends: liblua5.1-cgi0 (>= ${source:Upstream-Version}), liblua5.1-cgi0 (<< ${source:Upstream-Version}+1~), ${misc:Depends}
Description: Documentation files for the CGI library for the Lua language version 5.1
 This package contains the documentation for the Lua 5.1 CGI library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/lua.mk

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-cgi
#
version=3
http://luaforge.net/frs/?group_id=5  /frs/download.php/\d+/cgilua-([\d\.]*).tar.gz

## lua-cgi 5.1.4+dfsg

=== debian/changelog ===
lua-cgi (5.1.4+dfsg-2) unstable; urgency=low

  * Update dependency on liblua5.1-socket2 -> lua-socket

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 01 May 2012 11:45:05 +0200

lua-cgi (5.1.4+dfsg-1) unstable; urgency=low

  * Ship the jquery file in the tarball, and use README.source to document it

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 01 May 2012 11:33:50 +0200

lua-cgi (5.1.4-2) unstable; urgency=low

  * Ship a non minimized version of jquery.js and mention it in the copyright 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 01 May 2012 11:03:11 +0200

lua-cgi (5.1.4-1) unstable; urgency=low

  * New upstream release
  * Switch to dh-lua
  * debian/compat set to 8
  * bumped standards-version to 3.9.3, no changes needed
  * Packages renamed according to the new Lua policy

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 28 Apr 2012 18:17:18 +0200

=== debian/control ===
Source: lua-cgi
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8), dh-lua
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-cgi
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-cgi
Homepage: http://keplerproject.github.com/cgilua/

Package: lua-cgi
Architecture: all
Depends: ${misc:Depends}, lua-expat, lua-socket, lua-filesystem
Suggests: lua-wsapi
Replaces: liblua5.1-cgi0 (<< 5.1.4-1~), liblua5.1-cgi-dev (<< 5.1.4-1~)
Breaks: liblua5.1-cgi0 (<< 5.1.4-1~), liblua5.1-cgi-dev (<< 5.1.4-1~)
Provides: liblua5.1-cgi0, liblua5.1-cgi-dev, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: CGI library for the Lua language
 CGILua is a tool for creating dynamic Web pages and manipulating input data
 from Web forms. CGILua allows the separation of logic and data handling from
 the generation of pages, making it easy to develop web applications with Lua.
 .
 This package also contains the documentation for the Lua CGI library.

Package: liblua5.1-cgi0
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-cgi
Description: Transitional package for lua-cgi
 This is a transitional package to ease upgrades to the lua-cgi
 package. It can safely be removed.

Package: liblua5.1-cgi-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-cgi
Description: Transitional package for lua-cgi
 This is a transitional package to ease upgrades to the lua-cgi
 package. It can safely be removed.

## lua-cgi 5.2~alpha2

=== tests/Makefile ===
# $Id: Makefile,v 1.5 2004/11/08 16:39:51 tomas Exp $

T= test

include ../config

V= 1.0a
#DIST_DIR=../$(PKG)/$T

SRCS= test_main.html test_main.lua test_main.lp test_cookies.lua test_cookies.lp

clean cgi fcgi mod:

cgiinstall fcgiinstall modinstall:

dist dist_dir:
	mkdir -p $(DIST_DIR)
	cp $(SRCS) Makefile $(DIST_DIR)

=== debian/changelog ===
lua-cgi (5.2~alpha2-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 16:34:18 +0100

lua-cgi (5.2~alpha2-1) unstable; urgency=low

  * Packaging moved to git
  * Remove transitional packages 
  * New upstream release working on lua5.2 too
  * Removing embedded sapi library, recommend lua-wsapi 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 11 May 2012 09:43:50 +0200

=== debian/control ===
Source: lua-cgi
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8), dh-lua
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-lua/lua-cgi.git
Vcs-Browser: http://git.debian.org/?p=pkg-lua/luacgi.git
Homepage: http://keplerproject.github.com/cgilua/

Package: lua-cgi
Architecture: all
Depends: ${misc:Depends}, lua-expat, lua-socket, lua-filesystem
Recommends: lua-wsapi
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: CGI library for the Lua language
 CGILua is a tool for creating dynamic Web pages and manipulating input data
 from Web forms. CGILua allows the separation of logic and data handling from
 the generation of pages, making it easy to develop web applications with Lua.
 .
 CGILua requires a SAPI implementation to work.  The lua-wsapi packages
 provides a few ready to use SAPI implementations.
 .
 This package also contains the documentation for the Lua CGI library.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-cgi
#
version=3
https://github.com/keplerproject/cgilua/downloads /downloads/.*/cgilua-([\d\.]*).tar.gz

## lua-cgi 6.0.2

=== Makefile ===
# $Id: Makefile,v 1.49 2008/02/19 19:41:24 mascarenhas Exp $

# Default prefix
PREFIX= /usr/local

# System's lua directory (where Lua libraries are installed)
LUA_DIR= $(PREFIX)/share/lua/5.2

CGILUA_DIR= $(LUA_DIR)/cgilua
CGILUA_LUAS= src/cgilua/authentication.lua src/cgilua/cookies.lua src/cgilua/dispatcher.lua src/cgilua/loader.lua src/cgilua/lp.lua src/cgilua/mime.lua src/cgilua/post.lua src/cgilua/readuntil.lua src/cgilua/serialize.lua src/cgilua/session.lua src/cgilua/urlcode.lua
ROOT_LUAS= src/cgilua/cgilua.lua

all:

install:
	mkdir -p $(CGILUA_DIR)
	cp $(CGILUA_LUAS) $(CGILUA_DIR)
	cp $(ROOT_LUAS) $(LUA_DIR)

clean:

=== debian/changelog ===
lua-cgi (6.0.2-2) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support
  * Conform to the machine-readable copyright standard
  * Drop implicit LUA_VERSION which makes this lua5.1-only

 -- Bastian Germann <bage@debian.org>  Mon, 13 Oct 2025 19:20:14 +0200

lua-cgi (6.0.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 8 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Use secure URI in Vcs control header Vcs-Git.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

  [ Andreas Tille ]
  * New upstream version
  * d/watch
     - version=4
     - Fix github parsing
  * Fix Homepage
  * Add support for Lua 5.3 and 5.4
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Set upstream metadata fields: Repository.
  * No potentially privacy breaking images

 -- Andreas Tille <tille@debian.org>  Sat, 23 Aug 2025 22:11:08 +0200

lua-cgi (5.2~alpha2-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #995503)

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 08:02:58 -0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: lua-cgi
 Section: interpreters
 Priority: optional
-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8), dh-lua
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-lua/lua-cgi.git
-Vcs-Browser: http://git.debian.org/?p=pkg-lua/luacgi.git
-Homepage: http://keplerproject.github.com/cgilua/
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13), dh-lua
+Standards-Version: 4.7.2
+Vcs-Git: https://salsa.debian.org/lua-team/lua-cgi.git
+Vcs-Browser: https://salsa.debian.org/lua-team/lua-cgi
+Homepage: https://lunarmodules.github.io/cgilua/
 
 Package: lua-cgi
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	find src/ examples/ -type f -exec chmod a-x {} \;
	dh_auto_configure

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/keplerproject/cgilua/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
